local coveredBridge = foundation.createMod();

-- Check the game version
if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    coveredBridge:logError("coveredBridge: game version anterior to 1.6")
    return
end
coveredBridge:msgBox("coveredBridge: game version" .. foundation.getGameVersion())

-- Set the mod major versions
CoveredBridgePrefix = "COVERED_BRIDGE_V3"

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
coveredBridge:dofile("scripts/common.lua")

_NoSandbox = difficultyLevel(coveredBridge, "coveredBridge")

-- Monuments
coveredBridge:dofile("scripts/monument.lua")

if (checkVersion(coveredBridge, "coveredBridge", "Market Addition V2", "c6d941ce-a02d-41c5-a57f-9a2d9d1b2a02", "2.0.0")) then
    MarketAdditionPrefix = "MARKET_ADDITION_V2"
    coveredBridge:dofile("scripts/addHatMaker.lua")
    coveredBridge:dofile("scripts/addKnifeGrinder.lua")
end
